package com.chenyang.nse.bussiness.entity.orm.table.core.notice;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SYSLOG_INFO"
)
public class SyslogInfomation extends TInitEntity {
   @Column(
      length = 32
   )
   private String enablestatus;
   @Column(
      length = 32
   )
   private String delivery_name;
   @Column(
      length = 32
   )
   private String transport_protocol;
   @Column(
      length = 32
   )
   private String hostname;
   @Column(
      length = 32
   )
   private String func;
   @Column(
      length = 32
   )
   private Long port;
   @Column(
      length = 32
   )
   private String format;

   public String getEnablestatus() {
      return this.enablestatus;
   }

   public void setEnablestatus(String enablestatus) {
      this.enablestatus = enablestatus;
   }

   public String getDelivery_name() {
      return this.delivery_name;
   }

   public void setDelivery_name(String delivery_name) {
      this.delivery_name = delivery_name;
   }

   public String getTransport_protocol() {
      return this.transport_protocol;
   }

   public void setTransport_protocol(String transport_protocol) {
      this.transport_protocol = transport_protocol;
   }

   public String getHostname() {
      return this.hostname;
   }

   public void setHostname(String hostname) {
      this.hostname = hostname;
   }

   public String getFunc() {
      return this.func;
   }

   public void setFunc(String func) {
      this.func = func;
   }

   public Long getPort() {
      return this.port;
   }

   public void setPort(Long port) {
      this.port = port;
   }

   public String getFormat() {
      return this.format;
   }

   public void setFormat(String format) {
      this.format = format;
   }
}
